package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable ;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanOwnerLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:29:51
 * @Modify
 * @CopyRight 
 */
public class GroupChatPlanOwnerLogDTO implements Serializable{

	private static final long serialVersionUID = 21697825515700L;
	
	private Long ownerLogId;
	private Long planId;
	private String planName ;
	private String wxEnterpriseId;
	private String enterpriseId;
	private String staffId;
	private String staffName ;
	private String clerkName ; 
	private String clerkCode ;
	private String storeName ;
	private String storeCode ;
	private String storeId;
	private String clerkId;
	/**1已发送 0待发送*/
	private Integer sendStatus;
	private Integer sendCount;
	private Integer failCount ;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	private String remark ;
	private String msgid ;
	private Date expireDate ;
	private Date sendTime ; 
	public Date getStartTime() {
        return startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    private Date startTime ;
	private Date endTime ;
	
	
	public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getStaffName() {
        return staffName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public String getRemark() {
        return remark;
    }

    public String getMsgid() {
        return msgid;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setMsgid(String msgid) {
        this.msgid = msgid;
    }

    public void setOwnerLogId(Long ownerLogId){
		this.ownerLogId = ownerLogId;
	}
	
	public Long getOwnerLogId(){
		return ownerLogId;
	}
	public void setPlanId(Long planId){
		this.planId = planId;
	}
	
	public Long getPlanId(){
		return planId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setStaffId(String staffId){
		this.staffId = staffId;
	}
	
	public String getStaffId(){
		return staffId;
	}
	public void setStoreId(String storeId){
		this.storeId = storeId;
	}
	
	public String getStoreId(){
		return storeId;
	}
	public void setClerkId(String clerkId){
		this.clerkId = clerkId;
	}
	
	public String getClerkId(){
		return clerkId;
	}
	public void setSendStatus(Integer sendStatus){
		this.sendStatus = sendStatus;
	}
	
	public Integer getSendStatus(){
		return sendStatus;
	}
	public void setSendCount(Integer sendCount){
		this.sendCount = sendCount;
	}
	
	public Integer getSendCount(){
		return sendCount;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
}